Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Data Points

Get DataPoints
GET /dataSets/{dataSetId}/dataPoints
https://api.relesysapp.net/api/v1.2/dataSets/{dataSetId}/dataPoints
Get a list of DataPoints by the DataSet Id
Scopes: relesys.api, relesys.api:read, relesys.api.kpis, relesys.api.kpis:read
URL Path
dataSetId string / guid required
Query String
dataValue double Filterable Sortable optional
departmentId string / guid Filterable optional
label string Filterable Sortable optional
timeStamp datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"label":"Highest Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":1337.0,"departmentId":"8a767c3b-e0c7-4a07-a228-89a7626c65ff","userId":"a29b4fc7-f176-4f49-b113-e9442e9bb208"},{"label":"NPS","timeStamp":"2020-01-19T22:00:00+00:00","value":0.9,"departmentId":"986239b8-f5f8-44f8-9fdb-b4575c5f4258","userId":"c7cf795e-d866-42ed-b1dc-cee465c1b198"}]}
object
  count integer      
  data array[object]      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double      
  nextUrl string      
  previousUrl string